Bug 864211 - texlive-chktex conflicts with chktex and blocks practically all update
texlive-chktex conflicts with chktex and blocks practically all update
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 17:27 EDT by Michal Jaegermann
Modified: 2013-07-02 19:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:19:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2012-10-08 17:27:26 EDT
Description of problem:

With the current rawhide 'yum update' ends up with:

Transaction Check Error:
  file /usr/share/man/man1/deweb.1.gz from install of texlive-chktex-1:1.6.6.svn26693-2.20120926_r27815.noarch conflicts with file from package chktex-1.6.4-11.fc18.x86_64
  file /usr/bin/chktex from install of texlive-chktex-bin-1:2012-0.svn26340.2.20120926_r27815.fc19.x86_64 conflicts with file from package chktex-1.6.4-11.fc18.x86_64
  file /usr/bin/chkweb from install of texlive-chktex-bin-1:2012-0.svn26340.2.20120926_r27815.fc19.x86_64 conflicts with file from package chktex-1.6.4-11.fc18.x86_64
  file /usr/bin/deweb from install of texlive-chktex-bin-1:2012-0.svn26340.2.20120926_r27815.fc19.x86_64 conflicts with file from package chktex-1.6.4-11.fc18.x86_64

Through dependencies this blocks an installation of 928 texlive-2012 related packages.

Version-Release number of selected component (if applicable):
chktex-1.6.4-11.fc18
texlive-2012-2.20120926_r27815.fc19

Expected results:
Update performed even if chktex was previously installed.

Additional info:
To get around the issue one can do:
yum shell
> remove chktex
> install texlive-chktex texlive-chktex-bin
> ts run
> exit

but reverting this transaction will be, ahem, difficult as dependencies are substantial.

It is nice to see that a five year gap is started to be filled at last.
Comment 1 Fedora Update System 2012-10-20 01:25:21 EDT
texlive-2012-3.20121019_r28030.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/texlive-2012-3.20121019_r28030.fc18
Comment 2 Fedora Update System 2012-10-21 02:00:04 EDT
Package texlive-2012-3.20121019_r28030.fc18, PyX-0.11.1-4.fc18, evince-3.6.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing texlive-2012-3.20121019_r28030.fc18 PyX-0.11.1-4.fc18 evince-3.6.1-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16563/PyX-0.11.1-4.fc18,evince-3.6.1-2.fc18,texlive-2012-3.20121019_r28030.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-12-20 11:19:53 EST
texlive-2012-3.20121019_r28030.fc18, PyX-0.11.1-4.fc18, evince-3.6.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.